#!/usr/bin/python
#
# Copyright 2009 Marcelo Boveto Shima.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.    See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA    02110-1301, USA.
#
# Author: marceloshima@gmail.com (Marcelo Boveto Shima)

from tacix.util import *
from tacix.client.resources.TXMount import TXMount
from tacix.client.resources.TXSound import TXSound
from tacix.client.resources.TXPrinter import TXPrinter


class TXResources:
    def __init__ ( self, sessionid ):
        self.txsession = get_session(sessionid)
        self.txpath = TXPath(sessionid)
        self.logger = self.txpath.get_logger("txresources")

        self.txmount = TXMount(sessionid)
        self.txprinter = TXPrinter(sessionid)
        self.txsound = TXSound(sessionid)

    def setup(self):
        options = self.txsession.GetProperties()
        if options['type'] != 'shadow':
            self.txmount.setup_signal()
            self.txprinter.setup_signal()
            if 'cups' in options and options['cups'] == '1':
                self.txprinter.setup_printer_daemon()
